package com.ruoyi.ss.device.service;


import com.ruoyi.ss.device.domain.vo.SmDeviceVO;

import java.util.List;

/**
 * 设备信息组装员
 * @author wjh
 * 2024/4/13
 */
public interface DeviceAssembler {

    /**
     * 拼接租户信息
     */
    void assembleTenant(List<SmDeviceVO> list);

    /**
     * 拼接套餐列表
     */
    void assembleSuitList(List<SmDeviceVO> list);

    /**
     * 拼接店铺营业时间
     */
    void assembleBusinessTime(List<SmDeviceVO> list);

    /**
     * 拼接订单统计信息：订单数量、订单金额
     */
    void assembleOrderCountInfo(List<SmDeviceVO> list);

    /**
     * 拼接物联网数据
     * @param list
     */
    void assembleIotDeviceInfo(List<SmDeviceVO> list);
}
