package com.ruoyi.ss.deviceTenant.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 设备与租户绑定（中间）对象 sm_device_tenant
 *
 * @author ruoyi
 * @date 2024-03-15
 */
@Data
public class SmDeviceTenant extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @ApiModelProperty("主键")
    private Long id;

    /** 设备id */
    @Excel(name = "设备id")
    @ApiModelProperty("设备id")
    private Long deviceId;

    /** 租户id */
    @Excel(name = "租户id")
    @ApiModelProperty("租户id")
    private Long tenantId;

    @Excel(name = "是否默认")
    @ApiModelProperty("是否默认")
    private Boolean isDefault;
}
