package com.ruoyi.ss.transactionBill.service;

import com.ruoyi.common.core.domain.ValidateResult;
import com.ruoyi.ss.transactionBill.domain.TransactionBill;

/**
 * 2024/4/22
 */
public interface TransactionBillValidator {

    /**
     * 创建订单前校验
     * @param data
     * @return
     */
    ValidateResult preAddOrder(TransactionBill data);

    /**
     * 获取订单详情前校验
     * @param billId
     * @param userId
     * @return
     */
    ValidateResult preGetDetailByApp(Long billId, Long userId);


    /**
     * 能否在线充值
     */
    boolean canRechargeOnline(Long deviceId);

}
